package com.blueland.bpm.engine.core.model;

import org.activiti.engine.history.HistoricTaskInstance;
import org.activiti.engine.task.Comment;

import com.blueland.bpm.identity.model.Org;
/**
 * 流程详细日志模型
 * 
 * @version: 1.0
 * @author lw
 */
public class ProcessDetailLog {
	private Comment comment;
	private HistoricTaskInstance historicTaskInstance;
	private String sendUserName;
	private String reiceiveUserName;
	private Org sendOrg;
	private Org receiveOrg;
	private String finishState;
	private String wirteConmentUserName;
	public Comment getComment() {
		return comment;
	}
	public void setComment(Comment comment) {
		this.comment = comment;
	}
	public HistoricTaskInstance getHistoricTaskInstance() {
		return historicTaskInstance;
	}
	public void setHistoricTaskInstance(HistoricTaskInstance historicTaskInstance) {
		this.historicTaskInstance = historicTaskInstance;
	}
	public String getSendUserName() {
		return sendUserName;
	}
	public void setSendUserName(String sendUserName) {
		this.sendUserName = sendUserName;
	}
	public String getReiceiveUserName() {
		return reiceiveUserName;
	}
	public void setReiceiveUserName(String reiceiveUserName) {
		this.reiceiveUserName = reiceiveUserName;
	}
	public Org getSendOrg() {
		return sendOrg;
	}
	public void setSendOrg(Org sendOrg) {
		this.sendOrg = sendOrg;
	}
	public Org getReceiveOrg() {
		return receiveOrg;
	}
	public void setReceiveOrg(Org receiveOrg) {
		this.receiveOrg = receiveOrg;
	}
	public String getFinishState() {
		return finishState;
	}
	public void setFinishState(String finishState) {
		this.finishState = finishState;
	}
	public String getWirteConmentUserName() {
		return wirteConmentUserName;
	}
	public void setWirteConmentUserName(String wirteConmentUserName) {
		this.wirteConmentUserName = wirteConmentUserName;
	}
}
